#' lazy.tree: Some Decision Tree Functions for lazy boys and girls
#'
#'
#' The following are the classes of the functions.
#' Japanese help file: (\link[lazy.tree]{lazy.tree_JPH})
#'
#'
#' @section Main Functions:
#' \itemize{
#'  \item \link[lazy.tree]{DecTree}: Decision Tree main
#'  \item \link[lazy.tree]{Divide}: Divide a Set into Two Subsets
#'  \item \link[lazy.tree]{quantify_x}: Quantification of 
#' a Categorical Regressor
#' }
#'
#'
#' @section Utility Functions:
#' \itemize{
#'  \item \link[lazy.tree]{feature_imp_dt}: Calculation of Feature Importance
#'  \item \link[lazy.tree]{cuttree_dt}: Cut a Tree
#'  \item \link[lazy.tree]{print_hist_dt}: Print the Division History
#'  \item \link[lazy.tree]{node_info_dt}: Definition of the Nodes at a
#'  Given Depth.
#'  \item \link[lazy.tree]{print_leaf_dt}: Print the Leaf Node Information
#'  \item \link[lazy.tree]{predict_dt}: Calculate Predicted Values
#'  \item \link[lazy.tree]{summary_dt}: Calculation of Fit Statistics
#'  \item \link[lazy.tree]{plot_dt}: Plot the Tree
#'  (requires \code{icode} package.)
#'  \item \link[lazy.tree]{plot2d_dt}: Plot the Border Lines in a Plane
#'  \item \link[lazy.tree]{treesim_dt}: Calculate the Similarity Index of
#'  Two Trees
#' }
#'
#' @section Impufity Measures:
#' \itemize{
#'  \item \link[lazy.tree]{gini}: Calculation of variouse impurity measures
#' }
#'
#' @section Data:
#' \itemize{
#'  \item \link[lazy.tree]{univar}:  univariate x
#'  \item \link[lazy.tree]{square}:  bivariate X
#'  \item \link[lazy.tree]{square306}:  bivariate X
#'  \item \link[lazy.tree]{square2}:  bivariate X
#'  \item \link[lazy.tree]{square3}:  bivariate X
#'  \item \link[lazy.tree]{rect}:    bivariate X
#' }
#'
#' @docType package
#' @name lazy.tree
NULL
