#' Test Data for Univariate Regression Tree
#'
#' @details
#' This data consist of 100 observations. \cr
#'
#' @format A data frame with 100 rows and 3 variables.
#' \describe{
#'  \item{x}{num: continuous regressor variable.}
#'  \item{y1}{num: continuous criterion variable 1.}
#'  \item{y2}{num: continuous criterion variable 2.
#' }
#'
#' @source Generated by author.
#'
"univar"


#' Test Data for Classification Tree without Error
#'
#' @details
#' This data consist of 16 observations of two dimensional data. \cr
#' A plane was divided into 4 or 5 regeons.  \cr
#' 
#' Use below to see the structure: \cr
#' \preformatted{
#'  plot(square$x1,square$x2, type="n")
#'  text(square$x1,square$x2,square$Class5, cex=2)
#'  SQ2=matrix(square$class5, 4,, byrow=1)
#'  heatmap( t(SQ2), Rowv=NA, Colv=NA, reorderfun=NA, symm=1
#'         , labRow=4:1, labCol=1:4, revC=TRUE )
#'
#'  plot(square$x1,square$x2, type="n")
#'  text(square$x1,square$x2,square$Class6, cex=2)
#'  SQ2=matrix(square$class6, 4,, byrow=1)
#'  heatmap( t(SQ2), Rowv=NA, Colv=NA, reorderfun=NA, symm=1
#'         , labRow=4:1, labCol=1:4, revC=TRUE )
#'  }
#'
#' Examples of DecTree analysis
#'
#' \preformatted{
#' 
#' res=DecTree( square$Class5, square[,c("x1","x2")], maxdepth=4
#'              , majestic=0, rf=0
#'             , print=3, plot=1, title="v", impfuncname="entropy")
#' ni=node_info_dt( res, depth=400 )
#' 
#' res=DecTree( square$Class5, square[,c("c1","c2")], maxdepth=4, method=4
#'              , majestic=0, rf=0
#'              , print=3, plot=1, title="b", impfuncname="entropy")
#' ni=node_info_dt( res, depth=400 )
#' 
#' 
#'  res=DecTree( square$Class6, square[,c("x1","x2")], maxdepth=4
#'              , majestic=0, rf=0
#'             , print=3, plot=1, title="b", impfuncname="entropy")
#' ni=node_info_dt( res, depth=400 )
#' 
#' res=DecTree( square$Class6, square[,c("c1","c2")], maxdepth=4, method=1
#'              , majestic=0, rf=0
#'              , print=3, plot=1, title="b", impfuncname="entropy")
#' ni=node_info_dt( res, depth=400 )
#' }
#'
#'
#'
#' @format A data frame with 16 observations and 12 variables
#' \describe{
#' \item{x1}{num: the horizontal coordinate (regressor variable)}
#' \item{x1}{num: the vertical coordinate (regressor variable)}
#' \item{c1}{factor: the horizontal coordinate (regressor variable)}
#' \item{c2}{factor: the vertical coordinate (regressor variable)}
#' \item{class1}{num: the name of the regions (most simple criterion variable)}
#' \item{class1n}{num: the name of the regions (most simple criterion variable)}
#' \item{class2}{num: the name of the regions}
#' \item{class3}{num: the name of the regions}
#' \item{class4}{num: the name of the regions (most complex criterion variable)}
#' \item{class5x}{num: the name of the regions (most complex criterion variable) }
#' \item{class5}{num: the name of the regions (most complex criterion variable)}#' \item{class6}{num: the name of the regions (6 regions)}
#' \item{Class1}{factor: the name of the regions (most simple criterion variable)}
#' \item{Class1n}{factor: the name of the regions (most simple criterion variable)}
#'  \item{Class2}{factor: the name of the regions}
#'  \item{Class3}{factor: the name of the regions}
#' \item{Class4}{factor: the name of the regions (most complex criterion variable)}
#' \item{Class5}{factor: the name of the regions (most complex criterion variable)}
#' \item{Class5x}{factor: the name of the regions (most complex criterion variable)}
#' \item{Class6}{factor: the name of the regions (6 regions)}
#' }
#'
#' @source Generated by author.
#'
"square"



#' Test Data for Classification Tree without Error
#'
#' @details
#' This data consist of 25 observations of two dimensional data. \cr
#' A plane was divided into 5 regeons.  \cr
#' 
#' Use below to see the structure: \cr
#' \preformatted{
#'  plot(square306$x1,square306$x2, type="n")
#'  text(square306$x1,square306$x2,square306$Class, cex=2)
#'  SQ2=matrix(square306$class, 5,, byrow=1)
#'  heatmap( t(SQ2), Rowv=NA, Colv=NA, reorderfun=NA, symm=1
#'         , labRow=5:1, labCol=1:5, revC=TRUE )
#'  }
#'
#' Examples of DecTree analysis
#'
#' \preformatted{
#' 
#' # fit tree: continuous X
#' res=DecTree( square306$Class, v[,c("x1","x2")], maxdepth=4
#'              , majestic=0, rf=0
#'              , print=3, plot=1, title="b", impfuncname="entropy")
#' ni=node_info_dt( res, depth=400 )
#' plot(square306$x1,square306$x2, type="n")
#' text(square306$x1,square306$x2,res$yhat, cex=2)
#' 
#' 
#' # fit tree: categorical X
#' res=DecTree( square306$Class, square306[,c("c1","c2")], maxdepth=5, method=4
#'              , majestic=0, rf=0
#'              , print=3, plot=1, title="b", impfuncname="entropy")
#' ni=node_info_dt( res, depth=400 )
#' plot(square306$x1,square306$x2, type="n")
#' text(square306$x1,square306$x2,res$yhat, cex=2)
#'
#' }
#'
#'
#'
#' @format A data frame with 16 observations and 12 variables
#' \describe{
#' \item{x1}{num: the horizontal coordinate (regressor variable)}
#' \item{x1}{num: the vertical coordinate (regressor variable)}
#' \item{c1}{factor: the horizontal coordinate (regressor variable)}
#' \item{c2}{factor: the vertical coordinate (regressor variable)}
#' \item{class}{num: the name of the regions (1 - 6)}
#' \item{Class}{factor: the name of the regions (A - E)}
#' }
#'
#' @source Generated by author.
#'
"square306"




#' Test Data for Classification Tree without Error
#'
#' @details
#' This data consist of 500 observations of two dimensional data. \cr
#'
#' Use below to see the structure: \cr
#' \preformatted{
#'  X=cbind(square2$x1,square2$x2)
#'  y=square2$y
#'  plot( X, type="n" )
#'  text( X, as.character(y)
#'      , col=c("red","green","blue","black")[as.numeric(y)] )
#'  }
#'
#' @format A data frame with 500 rows and 3 variables
#' \describe{
#'  \item{x1}{num: the horizontal coodinate (regressor)}
#'  \item{x2}{num: the vertical coodinate (regressor)}
#'  \item{y}{num: the region number (criterion)}
#' }
#'
#' @source Generated by author.
#'
"square2"



#' Test Data for Classification Tree with Error
#'
#' @details
#' This data consist of 1000 observations of two dimensional data. \cr
#'
#' Use below to see the structure: \cr
#' \preformatted{
#'  X=cbind(square3$x1,square3$x2)
#'  y=square3$y
#'  plot( X, type="n" )
#'  text( X, as.character(y)
#'      , col=c("red","green","blue","black")[as.numeric(y)] )
#'  }
#'
#' @format A data frame with 1000 rows and 3 variables
#' \describe{
#'  \item{x1}{num: the horizontal coodinate (regressor)}
#'  \item{x2}{num: the vertical coodinate (regressor)}
#'  \item{y}{num: the region number (criterion)}
#' }
#'
#' @source Generated by author.
#'
"square3"



#' Test Data for Decision Tree
#'
#' @details
#' This data consist of 50 observations of two dimensional data. \cr
#'
#' Use below to see the structure: \cr
#' \preformatted{
#'  X=cbind(rect$x1,rect$x2)
#'  y=rect$R
#'  plot( X, type="n" )
#'  text( X, as.character(y)
#'      , col=c("red","green","blue","black")[as.numeric(y)] )
#'  }
#'
#' @format A data frame with 50 rows and 7 variables
#' \describe{
#'  \item{y}{numeric: continuous criterion variable}
#'  \item{R}{numeric: discrete criterion variable}
#'  \item{yc}{factor: categorical criterion variable}
#'  \item{x1}{numeric: the horizontal coodinate}
#'  \item{x2}{numeric: the vertical coodinate}
#'  \item{c1}{factor: the horizontal coodinate}
#'  \item{c2}{factor: the vertical coodinate}
#' }
#'
#' @source Generated by author.
#'
"rect"




#' Japanese Population Census Data 2020 令和２年度国勢調査データ
#'
#' @details
#' 国勢調査のデータ \cr
#' 「令和 2 年 都道府県・市区町村別の主な結果」 \cr
#' を加工し、1916 の市区町村の主要産業を求めた。 \cr
#' このデータは \cr
#' 「令和２年国勢調査　大都市圏及び都市圏　構成市町村一覧
#'  （令和 2 年 10 月 1 日現在）」 \cr
#'  に示された 1917 の市区町村から "07546_双葉町"
#'  を除いた 1916 の市区町村に関するものである。
#'
#'  産業大分類別就業者数に基づき 1916 の市区町村の主産業を \cr
#'   1. 農林水産鉱業 (A,B,C)  \cr
#'   2. 建設・製造業 (D,E) \cr
#'   3. 電気・運輸・情報通信 (F,G,H,J,K,L,M) \cr
#'   4. 小売・卸売・サービス業 (I,N,Q,R) \cr
#'   5. 教育・医療・公務 (O,P,S)  \cr
#'   の 5 水準に分類した。
#'   その方法は以下の通りである。すなわち、
#'   A-F を産業大分類の記号として
#'   \preformatted{
#'   C1 <- A+B+C
#'   C2 <- D+E
#'   C3 <- F+G+H+J+K+M+L
#'   C4 <- I+N+Q+R r
#'   C5 <- O+P+S
#'   class5 <- max.col( cbind(C1,C2,C3,C4,C5), ties.method="first" )
#'   }
#' 
#' なお、
#' census2020_2 データは、以下の箇所で class4 と class 5 の値が異なる以外は
#' 同じものである。
#' \preformatted{
#' census2020                                census2020_2"
#'                 city class4 class5       class4 class5
#'   71  01398_喜茂別町      3      5            3      1
#' 1316    28217_川西市      3      4            3      4
#' 1857    46468_大崎町      2      1            2      2
#'  289    04361_亘理町      3      2            2      2
#' }
#'
#' @format A data frame with 1916 rows and 10 variables
#' \describe{
#'  \item{pref}{factor: 都道府県名}
#'  \item{city}{int: 市区町村名}
#'  \item{code}{int: 地域識別コード}
#'  \item{pop}{numeric: 総人口}
#'  \item{area}{numeric: 面積}
#'  \item{popdens}{numeric: 人口密度}
#'  \item{age15p}{numeric: 15 歳未満人口割合}
#'  \item{age65p}{numeric: 65 歳以上人口割合}
#'  \item{fam1}{int: 一般世帯数}
#'  \item{fam1n}{int: 核家族世帯数}
#'  \item{class4}{factor: 主要産業 4 分類（参考）}
#'  \item{class5}{factor: 主要産業 5 分類}
#'  \item{A - S}{numeric: 産業大分類別就業人数}
#' }
#'
#' @source Generated by author.
#'
"census2020"






