% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/testdatadoc.R
\docType{data}
\name{census2020}
\alias{census2020}
\title{Japanese Population Census Data 2020 令和２年度国勢調査データ}
\format{
A data frame with 1916 rows and 10 variables
\describe{
 \item{pref}{factor: 都道府県名}
 \item{city}{int: 市区町村名}
 \item{code}{int: 地域識別コード}
 \item{pop}{numeric: 総人口}
 \item{area}{numeric: 面積}
 \item{popdens}{numeric: 人口密度}
 \item{age15p}{numeric: 15 歳未満人口割合}
 \item{age65p}{numeric: 65 歳以上人口割合}
 \item{fam1}{int: 一般世帯数}
 \item{fam1n}{int: 核家族世帯数}
 \item{class4}{factor: 主要産業 4 分類（参考）}
 \item{class5}{factor: 主要産業 5 分類}
 \item{A - S}{numeric: 産業大分類別就業人数}
}
}
\source{
Generated by author.
}
\usage{
census2020
}
\description{
Japanese Population Census Data 2020 令和２年度国勢調査データ
}
\details{
国勢調査のデータ \cr
「令和 2 年 都道府県・市区町村別の主な結果」 \cr
を加工し、1916 の市区町村の主要産業を求めた。 \cr
このデータは \cr
「令和２年国勢調査　大都市圏及び都市圏　構成市町村一覧
 （令和 2 年 10 月 1 日現在）」 \cr
 に示された 1917 の市区町村から "07546_双葉町"
 を除いた 1916 の市区町村に関するものである。

 産業大分類別就業者数に基づき 1916 の市区町村の主産業を \cr
  1. 農林水産鉱業 (A,B,C)  \cr
  2. 建設・製造業 (D,E) \cr
  3. 電気・運輸・情報通信 (F,G,H,J,K,L,M) \cr
  4. 小売・卸売・サービス業 (I,N,Q,R) \cr
  5. 教育・医療・公務 (O,P,S)  \cr
  の 5 水準に分類した。
  その方法は以下の通りである。すなわち、
  A-F を産業大分類の記号として
  \preformatted{
  C1 <- A+B+C
  C2 <- D+E
  C3 <- F+G+H+J+K+M+L
  C4 <- I+N+Q+R r
  C5 <- O+P+S
  class5 <- max.col( cbind(C1,C2,C3,C4,C5), ties.method="first" )
  }

なお、
census2020_2 データは、以下の箇所で class4 と class 5 の値が異なる以外は
同じものである。
\preformatted{
census2020                                census2020_2"
                city class4 class5       class4 class5
  71  01398_喜茂別町      3      5            3      1
1316    28217_川西市      3      4            3      4
1857    46468_大崎町      2      1            2      2
 289    04361_亘理町      3      2            2      2
}
}
\keyword{datasets}
