% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ImpurityMeasures.R
\name{gini}
\alias{gini}
\alias{centropy}
\alias{mis.match}
\alias{entropy}
\alias{variance}
\title{Impurity Measure Functions}
\usage{
gini(y)

centropy(y)

mis.match(y)

entropy(y)

variance(y)
}
\arguments{
\item{y}{The input vector (numeric)}
}
\description{
gini, entropy, mis.match are for categorical criterion and
variance is for numerical criterion. \cr
Japanese help file: \link[lazy.tree]{gini_JPH}
}
\details{
These impurity measures are not weighted by the # of observations
in the set.

\code{gini} Gini impurity measure \cr
\code{entropy} cross entropy impurity measure \cr
\code{mis.match} proportion of observations whose predicted value
is not the same as the mode, \cr
\code{variance} variance of the criterion in the subset.
This is equal to the resudial sum of squares divided by n. \cr

\code{entropy} can be interpreted as minus the log likelihood of
the multinomial distribution.
}
