% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simp_ineq.R
\name{simp_ineq}
\alias{simp_ineq}
\title{Simplify the Conjunction of Inequalities}
\usage{
simp_ineq(ineq, debug = 0)
}
\arguments{
\item{ineq}{a string containing a conjunction of inequalities}

\item{print}{= 1 to print the result}
}
\value{
A list of
\preformatted{
condc A string consisting of inequalities: the first term is the variable.
condl A vector consisting of aR, op1, x, op2, aL
}
}
\description{
Simplify the Conjunction of Inequalities
}
\details{
The inequality of the form \code{aL < x aR} must precede the & sign as \cr
\code{simp_ineq("1 <= x < 5    &    x <= 3")}. \cr
It is assumed that the inequalities are valid.
Therefore, the order of the boundaries are not checked.
}
\examples{
res <- simp_ineq("x >= 1  &  x < 5")
res2 <- simp_ineq(paste(res$condc, "x < 3", sep=" & ") )
res3 <- simp_ineq(paste(res2$condc, "x > 2", sep=" & ") )
Print(res,res2,res3)


}
